Function
getKmerSimilarityMatrix
Creates a matrix storing the number of common q-grams between all pairs of sequences.
getKmerSimilarityMatrix(index, distMat[, seqSet])
Include Headers
seqan/index.h
Parameters

index | A q-gram index. Types: IndexQGram
distMat | The resulting q-gram similarity matrix. Types: Container
seqSet | Contains sequence numbers if only a subset of sequences should be compared. Types: Container

Remarks
distMat will be resized to seqCount*seqCount, where seqCount is the number of sequences in the index/in seqSet. The number of common q-grams between sequence i and j is stored at position i*seqCount + j. It sums up the minimum number of q-gram occurrences between both sequences for each q-gram.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47